Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1414695 - Provide native systemd unit files for all xinted inbuilt services
Summary: Provide native systemd unit files for all xinted inbuilt services
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: xinetd
Version: 7.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jan Synacek
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-19 09:29 UTC by Jijesh Kalliyat
Modified: 2020-09-10 10:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-25 11:50:00 UTC
Target Upstream Version:


Attachments (Terms of Use)
Control script (592 bytes, application/x-shellscript)
2017-01-19 09:54 UTC, Martin Poole
no flags Details
xinetd service instance script (207 bytes, text/plain)
2017-01-19 09:57 UTC, Martin Poole
no flags Details

Comment 3 Martin Poole 2017-01-19 09:54:39 UTC
Created attachment 1242424 [details]
Control script

This script "/usr/sbin/xinetd-alloff" should be used in the current xinetd systemd unit file as  ExecStartPre  to disable all services (in case ones have been manual selected outside systemd control.

Individual service control comes with an instance service script.

Comment 4 Martin Poole 2017-01-19 09:57:20 UTC
Created attachment 1242425 [details]
xinetd service instance script

This script "/usr/lib/systemd/system/xinetd-inbuilt@.service" provides the instance template for the inbuilt services of xinetd.

In fact it can be used for any xinetd controlled service.

Comment 5 Martin Poole 2017-01-19 10:00:23 UTC
Instance usage example.

systemctl enable xinetd-inbuilt@echo-stream.service

Comment 6 Jan Synacek 2017-01-19 10:44:47 UTC
I don't understand why you would want to do something like this. Why not call chkconfig directly?

Comment 7 Martin Poole 2017-01-19 11:04:57 UTC
The main point of the customer is that having to use chkconfig means they have to maintain both systemd unit files and chkconfig control scripts.

Given systemd has effectively obsoleted the need to use xinetd for anything other than its inbuilt services it makes a for a more unified experience to have xinetd provide the integration elements, via a unit template, to allow control of its internal services by using native systemctl commands.


Note You need to log in before you can comment on or make changes to this bug.